Bug 848237 - Setting lots of quota will make client get blocked.
Setting lots of quota will make client get blocked.
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
unspecified
Unspecified Linux
medium Severity high
: ---
: ---
Assigned To: vpshastry
Sudhir D
:
Depends On: 843748
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 21:18 EDT by Vidya Sakar
Modified: 2014-08-11 19:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 843748
Environment:
Last Closed: 2012-12-21 04:37:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-14 21:18:40 EDT
+++ This bug was initially created as a clone of Bug #843748 +++

Description of problem:

While client is writting,Setting quota on lots of dirctories will make client get blocked. 
Version-Release number of selected component (if applicable):
3.3.0 & 3.2.6

How reproducible:


Steps to Reproduce:
1.Create a replica volume on server1 and server2.(Number of Bricks: 1 x 2 = 2)
2.Mount volume on client1 and untar kernel to mountpoint.
3.While client is compiling the kernel, set quota on those dirctories which were untared from kernel with value of 100MB each directory.
 
Actual results:
Client will get blocked in a while,not be able to use some commands(eg df, ls "mountpoint").

Expected results:
Compilation will be completed.

Additional info:
Log of brick is full of:
[2012-07-27 14:27:43.610378] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
[2012-07-27 14:27:43.613482] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
[2012-07-27 14:27:43.616928] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
[2012-07-27 14:27:43.619951] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
Comment 2 vpshastry 2012-12-21 04:37:00 EST
While compiling kernel, set quota on around 2000 dirs. Still client was safe from crash.

Note You need to log in before you can comment on or make changes to this bug.